/*
 * Proyecto J-Tracking
 * Trabajo de Fin de Grado UOC 2017
 * Alumno: Rafael Fernández Lorenzo
 * Consultor: Vicenç Font Sagrista
 */
package jtrackingPersistence;

import java.io.Serializable;
import javax.persistence.*;

/**
 * The Class Jradia01JPA.
 */
@Entity
public class Jradia01JPA extends DeviceJPA implements Serializable {


	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = -8000016494022863341L;

		
	/* (non-Javadoc)
	 * @see jtrackingPersistence.DeviceJPA#getBatteryLevel()
	 */
	public Float getBatteryLevel() {
		return super.getBatteryLevel() / 1000;
	}

	/* (non-Javadoc)
	 * @see jtrackingPersistence.DeviceJPA#setBatteryLevel(java.lang.Long)
	 */
	public void setBatteryLevel(Float batteryLevel) {
		this.batteryLevel = batteryLevel;
	}

	/* (non-Javadoc)
	 * @see jtrackingPersistence.DeviceJPA#getGsmSignal()
	 */
	public Float getGsmSignal() {
		return gsmSignal;
	}

	/* (non-Javadoc)
	 * @see jtrackingPersistence.DeviceJPA#setGsmSignal(java.lang.Long)
	 */
	@Override
	public void setGsmSignal(Float gsmSignal) {
		this.gsmSignal = gsmSignal;
	}

	/* (non-Javadoc)
	 * @see jtrackingPersistence.DeviceJPA#getStatus()
	 */
	@Override
	public String getStatus() {
		return "Jradia01 status: " + super.getStatus();
	}

	/* (non-Javadoc)
	 * @see jtrackingPersistence.DeviceJPA#setStatus(java.lang.String)
	 */
	@Override
	public void setStatus(String status) {
		this.status = status;
	}

	/**
	 * Instantiates a new jradia 01 JPA.
	 */
	public Jradia01JPA() {
		super();
	}

	/**
	 * Instantiates a new jradia 01 JPA.
	 *
	 * @param model the model
	 * @param serialNumber the serial number
	 * @param firmwareVersion the firmware version
	 * @param communication the communication
	 */
	public Jradia01JPA(DeviceModel model, String serialNumber, String firmwareVersion,
			CommunicationType communication) {
		super(model, serialNumber, firmwareVersion, communication);
		
	}   
	
   
}
