/*
 * Proyecto J-Tracking
 * Trabajo de Fin de Grado UOC 2017
 * Alumno: Rafael Fernández Lorenzo
 * Consultor: Vicenç Font Sagrista
 */
package jtrackingPresentation;

import javax.enterprise.context.RequestScoped;
import javax.faces.context.FacesContext;
import javax.inject.Named;
import javax.servlet.http.HttpSession;

/**
 * The Class LogOutBean.
 */
@Named("logout")
@RequestScoped
public class LogOutBean {

	/**
	 * Logout.
	 *
	 * @return the string
	 */
	public String logout() {
		((HttpSession) FacesContext.getCurrentInstance().getExternalContext().getSession(true)).invalidate();
		return "/home";

	}

	/**
	 * Instantiates a new log out bean.
	 */
	public LogOutBean() {

	}

}
