/*
 * Proyecto J-Tracking
 * Trabajo de Fin de Grado UOC 2017
 * Alumno: Rafael Fernández Lorenzo
 * Consultor: Vicenç Font Sagrista
 */
package jtrackingPresentation;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.enterprise.context.SessionScoped;
import javax.inject.Named;

/**
 * The Class ThemesBean.
 */
@Named("themes")
@SessionScoped
public class ThemesBean implements Serializable {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = -8574615667679394157L;

	/** The themes. */
	private List<String> themes;
	
	/** The selectedtheme. */
	private String selectedtheme = "aristo";
	
	
	/**
	 * Instantiates a new themes bean.
	 */
	public ThemesBean() {
		 this.themes = new ArrayList<>();
		 this.themes.add("afterdark");
		 this.themes.add("afternoon");
		 this.themes.add("aristo");
		 this.themes.add("flick");
		 this.themes.add("vader");
		 this.themes.add("le-frog");
		 this.themes.add("black-tie");
		 this.themes.add("blitzer");
		 this.themes.add("bluesky");
		 this.themes.add("bootstrap");
		 this.themes.add("casablanca");
		 this.themes.add("cruze");
		 this.themes.add("cupertino");
		 this.themes.add("dark-hive");
		 this.themes.add("delta");
		 this.themes.add("dot-luv");
		 this.themes.add("eggplant");
		 this.themes.add("excite-bike");
		 this.themes.add("flick");
		 
		 
		 
		 this.themes.add("glass-x");
		 this.themes.add("home");
		 this.themes.add("hot-sneaks");
		 this.themes.add("humanity");
		 this.themes.add("midnight");
		 this.themes.add("mint-choc");
		 this.themes.add("overcast");
		 this.themes.add("pepper-grinder");
		 this.themes.add("redmond");
		 this.themes.add("rocket");
		 this.themes.add("sam");
		 this.themes.add("sunny");
		 this.themes.add("smoothness");
		 this.themes.add("south-street");
		 this.themes.add("start");
		 this.themes.add("sunny");
		 this.themes.add("swanky-purse");
		 this.themes.add("trontastic");
		 this.themes.add("ui-darknnes");
		 this.themes.add("ui-ligthness");
		 this.themes.add("vader");
		 
	}

	/**
	 * Gets the themes.
	 *
	 * @return the themes
	 */
	public List<String> getThemes() {
		return themes;
	}

	/**
	 * Sets the themes.
	 *
	 * @param themes the new themes
	 */
	public void setThemes(List<String> themes) {
		this.themes = themes;
	}
	
	/**
	 * Gets the selectedtheme.
	 *
	 * @return the selectedtheme
	 */
	public String getSelectedtheme() {
		return selectedtheme;
	}

	/**
	 * Sets the selectedtheme.
	 *
	 * @param selectedtheme the new selectedtheme
	 */
	public void setSelectedtheme(String selectedtheme) {
		this.selectedtheme = selectedtheme;
	}

}
